package net.zmobile.ui;

import java.io.IOException;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

import net.zmobile.ZMobile;

public class ZImage extends ZComponent {

	Image _image = null;
	public ZImage(Image image){
		_image = image;
		resetSize();
	}
	public ZImage(String string) {
		try {
			_image = Image.createImage(string);
		} catch (IOException e) {
			e.printStackTrace();
		}
		resetSize();
	}
	public void draw(Graphics g) {
		g.setColor(0x0);
		g.drawRect(_x, _y, _w, _h);
		if (_image != null) {
			g.drawImage(_image, _x, _y, Graphics.TOP | Graphics.LEFT);
		}else{
			if(ZConstants.NULL_IMAGE!=null){
				g.drawImage(ZConstants.NULL_IMAGE, _x, _y, Graphics.TOP | Graphics.LEFT);
			}
		}
		
	}
	public void drawStatus(Graphics g) {
		if (this.isFoucus) {
			g.setColor(0x0000ff);
			if(this.isPressed){
				g.setColor(0xff0000);
			}
		}else{
			return;
		}
		
		g.drawRect(_x + ZMobile.GRAP, _y + ZMobile.GRAP, _w - 2
				* ZMobile.GRAP, _h - 2 * ZMobile.GRAP);
		g.drawRect(_x + ZMobile.GRAP + 1, _y + ZMobile.GRAP + 1, _w - 2
				* ZMobile.GRAP - 2, _h - 2 * ZMobile.GRAP - 2);
	}
	public void resetSize() {
		this._w = _image.getWidth();
		this._h = _image.getHeight();
	}
}
